Name:		perl-Date-Range
Version:	1.41
Release:    1%{?dist}
License:	GPL-2.0-or-later
Summary:	Work with a range of dates
URL:		https://metacpan.org/release/Date-Range
Source0:	https://cpan.metacpan.org/modules/by-module/Date/Date-Range-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Date::Simple) >= 0.03
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More) >= 0.04
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00
Requires:	perl(Date::Simple) >= 0.03

%description
Quite often, when dealing with dates, we don't just want to know information
about one particular date, but about a range of dates. For example, we may
wish to know whether a given date is in a particular range, or what the overlap
is between one range and another. This module lets you ask such questions.

%prep
%setup -q -n Date-Range-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Date/
%{_mandir}/man3/Date::Range.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.41-1
- initial build
